%define		pkg	normalize-package-data
Summary:	Normalizes data that can be found in package.json files
Name:		nodejs-%{pkg}
Version:	1.0.0
Release:	1
License:	MIT
Group:		Development/Libraries
Source0:	http://registry.npmjs.org/%{pkg}/-/%{pkg}-%{version}.tgz
# Source0-md5:	1e0cfe6d59f44f5cc0127b089c5d3f82
URL:		https://github.com/meryn/normalize-package-data
BuildRequires:	rpmbuild(macros) >= 1.634
Requires:	nodejs
Requires:	nodejs-github-url-from-git < 1.4
Requires:	nodejs-github-url-from-git >= 1.3.0
Requires:	nodejs-github-url-from-username-repo < 1
Requires:	nodejs-github-url-from-username-repo >= 0.2.0
Requires:	nodejs-semver < 4
Requires:	nodejs-semver >= 2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Exports a function that normalizes package metadata. This data is
typically found in a package.json file, but in principle could come
from any source - for example the npm registry.

%prep
%setup -qc
mv package/* .

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}
cp -pr lib package.json $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README.md
%{nodejs_libdir}/%{pkg}
%changelog
* Sun Jan 10 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nodejs-normalize-package-data.git;a=log;h=master

* Sun Jan 10 2016 Elan Ruusamäe <glen@delfi.ee> 4782dda
- up to 1.0.0

* Sat Jan 09 2016 Elan Ruusamäe <glen@delfi.ee> 2ea726e
- up to 0.4.2

* Sat Jan 09 2016 Elan Ruusamäe <glen@delfi.ee> 23ef53b
- up to 0.4.1

* Sat Jan 09 2016 Elan Ruusamäe <glen@delfi.ee> 119ff30
- up to 0.3.0

* Sat Jan 09 2016 Elan Ruusamäe <glen@delfi.ee> 5318ee1
- up to 0.2.13

* Thu Mar 13 2014 Łukasz Kieś <kiesiu@pld-linux.org> 1e33e74
- new

